Skip to main content
GET
/
v2
/
sepa
/
beneficiaries
List SEPA beneficiaries
curl --request GET \
  --url https://thirdparty.qonto.com/v2/sepa/beneficiaries \
  --header 'Authorization: Bearer <token>'
{
  "beneficiaries": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "iban": "<string>",
      "bic": "<string>",
      "status": "pending",
      "trusted": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "email": "jsmith@example.com",
      "activity_tag": "<string>"
    }
  ],
  "meta": {
    "current_page": 2,
    "next_page": 3,
    "prev_page": 1,
    "total_pages": 11,
    "total_count": 210,
    "per_page": 20
  }
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Query Parameters

iban
string[]

Filter by IBAN

status
enum<string>[]

Filter by status

Available options:
pending,
validated,
declined
trusted
boolean

Filter by trusted status

page
integer
default:1

Page number

per_page
integer
default:25

Number of items per page

sort_by
enum<string>
default:updated_at:desc

Sort by property and direction (format is property:direction)

Available options:
updated_at:desc,
updated_at:asc

Response

Successful operation

beneficiaries
object[]
required
meta
object
required

Metadata for paginated responses